{
  description = "Skynet Wiki";

  inputs = {
    utils.url = "github:numtide/flake-utils";
    alejandra.url = "github:kamadorueda/alejandra";
  };

  outputs = {
    self,
    nixpkgs,
    utils,
    alejandra,
  }:
    utils.lib.eachDefaultSystem (
      system: let
        pkgs = nixpkgs.legacyPackages."${system}";
        # find these here https://search.nixos.org/packages?channel=unstable&from=0&size=50&sort=relevance&type=packages&query=python312Packages.mkdocs
        packages = with pkgs.python3Packages; [
          mkdocs
          mkdocs-material
          mkdocs-git-authors-plugin
          mkdocs-git-revision-date-localized-plugin
        ];
      in {
        formatter = alejandra.defaultPackage.${system};
        defaultPackage = pkgs.stdenv.mkDerivation {
          name = "skynet-wiki";
          src = self;
          buildInputs = packages;
          buildPhase = "tar -zxf _git.tar.gz && mkdocs build";
          installPhase = "mkdir -p $out; cp -R site/* $out;";
        };

        devShells.default = pkgs.mkShell {
          name = "Skynet Wiki env";
          packages = packages;
        };
      }
    );
}
